org.apache.ignite.ml.optimization

## Class LossFunctions

- java.lang.Object
- - org.apache.ignite.ml.optimization.LossFunctions

-     public class LossFunctions
      extends Object

  Class containing popular loss functions.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IgniteFunction<Vector,IgniteDifferentiableVectorToDoubleFunction>` | `HINGE` Hinge loss function.
    `static IgniteFunction<Vector,IgniteDifferentiableVectorToDoubleFunction>` | `L1` L1 loss function.
    `static IgniteFunction<Vector,IgniteDifferentiableVectorToDoubleFunction>` | `L2` L2 loss function.
    `static IgniteFunction<Vector,IgniteDifferentiableVectorToDoubleFunction>` | `LOG` Log loss function.
    `static IgniteFunction<Vector,IgniteDifferentiableVectorToDoubleFunction>` | `MSE` Mean squared error loss function.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LossFunctions()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### MSE

          public static IgniteFunction<Vector,IgniteDifferentiableVectorToDoubleFunction> MSE

      Mean squared error loss function.

    - #### LOG

          public static IgniteFunction<Vector,IgniteDifferentiableVectorToDoubleFunction> LOG

      Log loss function.

    - #### L2

          public static IgniteFunction<Vector,IgniteDifferentiableVectorToDoubleFunction> L2

      L2 loss function.

    - #### L1

          public static IgniteFunction<Vector,IgniteDifferentiableVectorToDoubleFunction> L1

      L1 loss function.

    - #### HINGE

          public static IgniteFunction<Vector,IgniteDifferentiableVectorToDoubleFunction> HINGE

      Hinge loss function.

  - ### Constructor Detail

    - #### LossFunctions

          public LossFunctions()

${current.year} Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.15.0
Release Date | : April 25 2023